load NEW_ORDER_180;

filename2 = filename12;
annot = annot_new;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ROC plots %%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = 3;
N = 4;
k = 1;
figure();
flag = 1;
for i = 1:size(filename2,1),
    load (filename2(i,:));
    if (size(predic,1) < size(predic,2))
        predic = predic';
        RESULTS = RESULTS';
    end
    C(i,1) = 1-group_wrong/group_gene;
    clear group_gene;
    clear group_wrong;
    genes_check_inv = 1-genes_check;
    y_image_level = [predic genes_check_inv];
%     clear genes_check;
%     clear predic;
    good_gene = good_gene'; % if good_gene{i} is empty, that means the majority was wrong classification within that gen and mean{i} = 1;
    wrong_gene = wrong_gene';
    for j = 1:size(wrong_mean)-1,
        if (wrong_mean(j) <= 0.5)
            %fprintf('Good mean: %d \n',wrong_mean(j));
            v = mean(good_gene{j});
            if (v >= 0)
                marg = max(good_gene{j});
                m = 0;
            else
                marg = min(good_gene{j});
                m=1;
            end
            y_gene_level(j,:) = [marg m]; %#ok<AGROW>
            y_gene_level_mean(j,:) = [v m];
        else
            %fprintf('Wrong mean: %d \n',wrong_mean(j));
            v = mean(wrong_gene{j});
            if (v >= 0)
                marg = max(wrong_gene{j});
                m = 1;
            else
                marg = min(wrong_gene{j});
                m=0;
            end
            y_gene_level(j,:) = [marg m]; %#ok<AGROW>
            y_gene_level_mean(j,:) = [v m];
        end
    end
    if (i == n*N+1)
        figure();
        k = 1;
    elseif (i == 2*n*N+1)
        figure();
        k = 1;
    end
    subplot(n,N,k)
    g = gca;
    set(g, 'FontSize', 2);
    title(sprintf('ROC curve 180 features: \n Annotation term %s', annot{i}),'FontWeight','bold', 'FontSize', 2);hold on;
    ROCdata_image_level = roc_new(y_image_level, 0.1, 1, 1);
    AUC_image_level_180(i) = ROCdata_image_level.AUC;
    fprintf('AUC_image_level_annot_ %s = %d \n', filename2(i,:), AUC_image_level_180(i));
    ROCdata_gene_level = roc_new(y_gene_level, 0.1, 1, 2);
    AUC_gene_level_180(i) = ROCdata_gene_level.AUC;
    fprintf('AUC_gene_level_annot_ %s = %d \n', filename2(i,:), AUC_gene_level_180(i));
    ROCdata_gene_level_mean = roc_new(y_gene_level_mean, 0.1, 1, 3);
    AUC_gene_level_mean_180(i) = ROCdata_gene_level_mean.AUC;
    fprintf('AUC_gene_level_mean_annot_ %s = %d \n', filename2(i,:), AUC_gene_level_mean_180(i));
    legend('IL180', 'GL180', 'GL180M', 'Location', 'SouthEast');
    k = k+1;
end
save AUC_gene_180 AUC_gene_level_mean_180 AUC_gene_level_180 AUC_image_level_180;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%