package edu.duke.cs.smlr.gui;

import com.apple.eawt.ApplicationAdapter;
import com.apple.eawt.ApplicationEvent;

import edu.duke.cs.smlr.Graphical;

/**
 * @author Alex Hartemink
 */
public class MacAppListener extends ApplicationAdapter {
    private Graphical owner;
    
    public MacAppListener(Graphical owner) {
        super();
        this.owner = owner;
    }
    
    public void handleAbout(ApplicationEvent e) {
        owner.showAboutFrame();
        e.setHandled(true);
    }
    
    public void handlePreferences(ApplicationEvent e) {
        owner.showPreferencesFrame();
        e.setHandled(true);
    }

    public void handleQuit(ApplicationEvent e) {
        e.setHandled(true);
    }
}
