package edu.duke.cs.smlr.learn.kernels;

import edu.duke.cs.smlr.learn.interfaces.IKernel;
import edu.duke.cs.smlr.learn.interfaces.IMatrix;

/**
 * Does not apply any kernel, so the data is the same dimension.
 * 
 * @author Jason Bosko, Matt Edwards
 * 
 */

public class DirectKernel extends AbstractKernel implements IKernel {

	public IMatrix computeKernel(IMatrix X1, IMatrix X2, Object useless, double bias, boolean normalize) {
		if (normalize) X1 = normalizeTest(X1, X2);
		X1 = addBias(X1, bias);				
		return X1;
	}

}
