package edu.duke.cs.smlr.util;

/**This class is for an attempt to standardize error processing.  This exception
 * is for unrecoverable errors, causing an exit of the text interface or a halt and
 * re-input session in the GUI.
 * 
 * @author Matt Edwards
 */

public class HaltingException extends RuntimeException {

    public HaltingException() {
        super();
    }

    public HaltingException(String message) {
        super(message);
    }

    public HaltingException(String message, Throwable cause) {
        super(message, cause);
    }

    public HaltingException(Throwable cause) {
        super(cause);
    }

}
